package LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::Entrada;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use utf8;

use Moo;

use LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima;

has identifier => (
    is => 'ro',
    builder => \&_build_identifier,
);

has name => (
    is => 'ro',
    builder => \&_build_name,
);

has description => (
    is => 'ro',
    builder => \&_build_description,
);

has parent => (
    is => 'ro',
    builder => \&_build_parent,
);

has actions => (
    is => 'ro',
    builder => \&_build_actions,
);

has npcs => (
    is => 'ro',
    builder => \&_build_npcs,
);

with 'LasTres::Location';

sub _build_identifier {
    return 'entrada';
}

sub _build_name {
    return 'Entrada';
}

sub _build_description {
    return 'Un cartel reza. "Tribu de la Lima. Considerate bienvenido si '
    . 'no eres un ladrón o un maleante, '
    . 'en caso contrario recorre en sentido inverso el sendero de tus pisadas."';
}

sub _build_parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima->instance;
}

sub _build_actions {
    return [];
}

sub _build_npcs {
    return [];
}

sub connected_places {
    return [
        LasTres::Planet::Bahdder::BosqueDelHeroe::BosqueDelHeroeI::TribuDeLaLima->instance,
    ];
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}
1;
